Bug 1590368 - [osp12] Deployment fails in step 1 with "not a directory" when mounting "/etc/ssh/ssh_known_hosts" in scale deplyoments
Summary: [osp12] Deployment fails in step 1 with "not a directory" when mounting "/etc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1579409
Blocks: 1590370 1590375 1590376
TreeView+ depends on / blocked
 
Reported: 2018-06-12 13:52 UTC by Alex Schultz
Modified: 2018-08-20 13:02 UTC (History)
19 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.9-19.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1579409
: 1590370 (view as bug list)
Environment:
Last Closed: 2018-08-20 13:01:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:02:26 UTC
OpenStack gerrit 569910 None None None 2018-06-12 13:59:28 UTC
Launchpad 1772071 None None None 2018-06-12 13:52:42 UTC

Comment 8 Gurenko Alex 2018-07-23 06:48:15 UTC
Latest passed_phase2 puddle 2018-07-17.1 contains openstack-tripleo-heat-templates-7.0.9-8.el7ost.noarch which does not contain the fix

Comment 11 Gurenko Alex 2018-07-25 09:09:08 UTC
Verified on puddle 2018-07-20.1

[stack@undercloud-0 ~]$ rpm -q openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-7.0.12-3.el7ost.noarch

(undercloud) [stack@undercloud-0 ~]$ openstack stack list
+--------------------------------------+------------+----------------------------------+-----------------+----------------------+--------------+
| ID                                   | Stack Name | Project                          | Stack Status    | Creation Time        | Updated Time |
+--------------------------------------+------------+----------------------------------+-----------------+----------------------+--------------+
| ece7d7f9-06bb-4840-a879-42c8d1477de9 | overcloud  | 432ff6c9af094a88816d867ac62a8122 | CREATE_COMPLETE | 2018-07-25T07:51:07Z | None         |
+--------------------------------------+------------+----------------------------------+-----------------+----------------------+--------------+

(undercloud) [stack@undercloud-0 ~]$ openstack server list
+--------------------------------------+--------------+--------+------------------------+----------------+------------+
| ID                                   | Name         | Status | Networks               | Image          | Flavor     |
+--------------------------------------+--------------+--------+------------------------+----------------+------------+
| b60c742b-5d11-439d-9c97-9c9d12fe2288 | compute-2    | ACTIVE | ctlplane=192.168.24.22 | overcloud-full | compute    |
| 599712a1-e586-4be2-b584-c9077e8c9c47 | compute-9    | ACTIVE | ctlplane=192.168.24.6  | overcloud-full | compute    |
| 240d2ca7-1548-4325-ae3b-bea0fc7b693b | compute-3    | ACTIVE | ctlplane=192.168.24.20 | overcloud-full | compute    |
| 7e06cd6b-a346-43ce-a309-92ef2b2f3d1b | compute-0    | ACTIVE | ctlplane=192.168.24.21 | overcloud-full | compute    |
| bc532afb-4f0f-42c8-abf8-417ca91fb430 | compute-8    | ACTIVE | ctlplane=192.168.24.17 | overcloud-full | compute    |
| eadeb3ac-8862-4d71-8b2f-5e22d8535ee9 | controller-2 | ACTIVE | ctlplane=192.168.24.7  | overcloud-full | controller |
| e3096375-8345-4da2-834b-dffda4c87239 | compute-4    | ACTIVE | ctlplane=192.168.24.18 | overcloud-full | compute    |
| 29672067-b362-4795-8b88-990ad86c9e67 | compute-5    | ACTIVE | ctlplane=192.168.24.12 | overcloud-full | compute    |
| 568740ef-261e-4d05-936e-442ae3877b34 | controller-0 | ACTIVE | ctlplane=192.168.24.9  | overcloud-full | controller |
| a5cb3d2f-735d-4e01-8fa1-6230497c3e83 | controller-1 | ACTIVE | ctlplane=192.168.24.19 | overcloud-full | controller |
| 4f2693ed-825d-490e-a061-0de781f4dc20 | compute-1    | ACTIVE | ctlplane=192.168.24.15 | overcloud-full | compute    |
| c594878b-d95b-4c32-af6f-f72c093e0c37 | compute-6    | ACTIVE | ctlplane=192.168.24.13 | overcloud-full | compute    |
| ae19b498-496b-4cdc-a72f-0bbe48163867 | compute-7    | ACTIVE | ctlplane=192.168.24.16 | overcloud-full | compute    |
+--------------------------------------+--------------+--------+------------------------+----------------+------------+

(undercloud) [stack@undercloud-0 ~]$ for i in 22 6 20 21 17 18 12 15 13 16; do ssh heat-admin@192.168.24.$i "hostname; ls -al /etc/ssh/ssh_known_hosts"; done
compute-2
-rw-r--r--. 1 root root 8675 Jul 25 08:06 /etc/ssh/ssh_known_hosts
compute-9
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts
compute-3
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts
compute-0
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts
compute-8
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts
compute-4
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts
compute-5
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts
compute-1
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts
compute-6
-rw-r--r--. 1 root root 8675 Jul 25 08:06 /etc/ssh/ssh_known_hosts
compute-7
-rw-r--r--. 1 root root 8675 Jul 25 08:05 /etc/ssh/ssh_known_hosts

Comment 13 errata-xmlrpc 2018-08-20 13:01:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.